Update customer
View as MarkdownThis endpoint can be used to update the information of a specific customer using the store and customer ID.
Authorization
PAT commerce.customer:updatePersonal Access Token (PAT). Include as Authorization: Bearer $GODADDY_PAT. Required scopes: commerce.customer:read, commerce.customer:create, commerce.customer:update.
In: header
Scope: commerce.customer:update
Path Parameters
The id of the specific customer
uuidAn identifier for a store
uuidRequest Body
application/json
Customer data to import
Body shape for PATCH /stores/{storeId}/customers/{customerId}. Note that source is optional on update — the API does not require it (and production clients such as mwc-core do not send it on update calls).
Response Body
application/json
*/*
*/*
*/*
*/*
application/json
*/*
*/*
curl -X PATCH "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "customer": { "firstName": "Fredrick", "lastName": "Smith", "listKeys": [ "bbf6d5ee-f24e-4a77-a6a1-e3fd97d1db49" ], "updatedAt": "stringstringstringst" } }'{ "links": [ { "href": "string", "method": "string", "rel": "string" } ]}Last updated on
How is this guide?